CVE-2020-35527

NameCVE-2020-35527
DescriptionIn SQLite 3.31.1, there is an out of bounds access problem through ALTER TABLE for views that have a nested FROM clause.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3107-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
sqlite3 (PTS)buster3.27.2-3+deb10u1vulnerable
buster (security)3.27.2-3+deb10u2fixed
bullseye3.34.1-3fixed
bookworm, sid3.40.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
sqlite3sourcebuster3.27.2-3+deb10u2DLA-3107-1
sqlite3source(unstable)3.32.0-1

Notes

https://www.sqlite.org/src/info/c431b3fd8fd0f6a6
https://github.com/sqlite/sqlite/commit/0990c415f65d2556a5e4122cbe5727d500411aeb (version-3.32.0)

Search for package or bug name: Reporting problems